slarscl2.f(3)

NAME
slarscl2.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLARSCL2 (M, N, D, X, LDX)
SLARSCL2

Function/Subroutine Documentation

  subroutine SLARSCL2 (INTEGERM, INTEGERN, REAL, dimension( * )D, REAL, dimension( ldx, * )X, INTEGERLDX)

SLARSCL2

Purpose:

     SLARSCL2 performs a reciprocal diagonal scaling on an vector:
       x <-- inv(D) * x
     where the diagonal matrix D is stored as a vector.
     Eventually to be replaced by BLAS_sge_diag_scale in the new BLAS
     standard.

Parameters:
    M

              M is INTEGER
         The number of rows of D and X. M >= 0.

    N

              N is INTEGER
         The number of columns of D and X. N >= 0.

    D

              D is REAL array, length M
         Diagonal matrix D, stored as a vector of length M.

    X

              X is REAL array, dimension (LDX,N)
         On entry, the vector X to be scaled by D.
         On exit, the scaled vector.

    LDX

              LDX is INTEGER
         The leading dimension of the vector X. LDX >= 0.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 91 of file slarscl2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.